Subject: Re: [PATCH 0/5] git check-ref-format --stdin --report-errors

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Dec 2016 10:23:45 -0800

Michael Haggerty <[email-masked]> writes:

> Especially given that the output is not especially machine-readable, it
> might be more consistent with other commands to call the new feature
> `--verbose` rather than `--report-errors`.

Don't we instead want to structure the output to be machine-readable
instead, given that check-ref-format is a very low level plumbing
command that is primarily meant for scriptors?